Draft Fillet/ru

From FreeCAD Documentation
Revision as of 11:45, 15 May 2020 by FuzzyBot (talk | contribs) (Updating to match new version of source page)

Draft Fillet

Системное название
Draft Fillet
Расположение в меню
Draft → Fillet
Верстаки
Draft
Быстрые клавиши
Нет
Представлено в версии
0.19
См. также
Draft Line, Draft Wire

Описание

The Draft Fillet tool creates a fillet, a rounded corner, between to simple Draft Lines. Alternatively, it can create a chamfer, a straight edge, between those two lines.

Several fillets and chamfers created between two lines

Использование

  1. Select two Draft Lines already placed on the document, and which meet at one point.
  2. Press the Draft Fillet button.
  3. Choose the radius of fillet, and then hit Enter.

Notes:

  • If the radius is too large that the produced arc would not be tangent to one of the lines, the operation will not succeed.
  • Only single lines are supported at the moment; Draft Wires, that is, lines with multiple points, may not produce the desired result.

Alternative creation of fillets and chamfers

A Draft Wire that has at least three points can also create a fillet or a chamfer.

  1. Select two Draft Lines already placed on the document, and which meet at one point.
  2. Press the Draft Wire button. This will fuse the two lines into a single Wire object.
  3. In the property editor, enter the desired numerical value for ДанныеFillet Radius or ДанныеChamfer Size.

This method works also when joining two different polylines.

Options

  • Check the "Delete original objects" checkbox if you want to delete the two original lines, and leave only the new fillet object.
  • Check the "Create chamfer" checkbox if you want to create a straight edge, instead of a rounded edge, between the two lines.
  • Press Esc or the Close button to abort the current command.

Properties

A Fillet object shares most properties from a Draft Wire, however, only some of these properties are applicable to the Fillet.

Data

  • ДанныеStart: (read-only) specifies the start point.
  • ДанныеEnd: (read-only) specifies the end point.
  • ДанныеLength: (read-only) specifies the length of the entire segment.
  • ДанныеFillet Radius: (read-only) radius with which the fillet was created.

View

  • ВидEnd Arrow: if it is true it will display a symbol at the last point of the line, so it can be used as an annotation line.
  • ВидArrow Size: specifies the size of the symbol displayed at the end of the line.
  • ВидArrow Type: specifies the type of symbol displayed at the end of the line, which can be "Dot", "Circle", "Arrow", "Tick", or "Tick-2".

Scripting

See also: Draft API and FreeCAD Scripting Basics.

The Fillet tool can be used in macros and from the Python console by using the following function:

fillet = make_fillet([line1, line2], radius=100, chamfer=False, delete=False)
  • Creates a Fillet object between lines line1 and line2, using radius for the curvature.
  • If chamfer is True it will create a straight edge with the length of radius, instead of a rounded edge.
  • If delete is True it will delete the given line1 and line2, and leave only the new object.

Пример:

import FreeCAD as App
import Draft
doc = App.newDocument()

p1 = App.Vector(0, 0, 0)
p2 = App.Vector(1000, 1000, 0)
p3 = App.Vector(2000, 0, 0)

line1 = Draft.make_line(p1, p2)
line2 = Draft.make_line(p2, p3)
doc.recompute()

fillet = Draft.make_fillet([line1, line2], radius=500)
doc.recompute()